#
# spec file for package moxa
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           moxa
BuildRequires:  dos2unix
BuildRequires:  kernel-source
BuildRequires:  kernel-syms
BuildRequires:  module-init-tools
BuildRequires:  udev
Summary:        Kernel modules for MOXA UPort devices
License:        GPL-2.0
Group:          System/Kernel
%define vers 1.2.13
%define builddate 18030617
Version:        %{vers}_%{builddate}
Release:        1.1
Source0:        driv_linux_uport_v%{vers}_build_%{builddate}.tgz
Source1:        99-moxa_uport.rules
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://www.moxa.com/support/sarch_result.aspx?type=soft&prod_id=381&type_id=9

%suse_kernel_module_package kdump um

%description
This package contains the kernel modules to support MOXA UPort servers.

%package KMP
Summary:        Kernel modules for MOXA UPort devices
Group:          System/Kernel

%description KMP
This package contains the kernel modules to support MOXA UPort servers.

%prep
%setup -n mxuport
mkdir obj
dos2unix version.txt

%build
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r driver obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
	M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
	 M=$PWD/obj/$flavor
done
mkdir -p %{buildroot}/etc/udev/rules.d
cp %{SOURCE1} %{buildroot}/etc/udev/rules.d/99-moxa_uport.rules.template

%files
%defattr(-,root,root)
%doc readme.txt version.txt
/etc/udev/rules.d/*

%changelog
* Tue Mar 20 2018 opensuse@dstoecker.de
- update to 1.2.13_build_18030617, fixing build with newer kernels
* Tue Jan  7 2014 opensuse@dstoecker.de
- Update to 1.2.9
* Mon Jun  3 2013 opensuse@dstoecker.de
- fix build for 12.3
* Tue Apr  2 2013 opensuse@dstoecker.de
- disable udev rules by default, as they conflict with other ttyUSB
* Mon Mar 19 2012 opensuse@dstoecker.de
- Updated to version 1.2 build 12071314
* Wed Dec 16 2009 opensuse@dstoecker.de
- created for openSUSE Buildservice
